Get call details
curl --request GET \
--url https://api.omnia-voice.com/api/v1/calls/{id} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/calls/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"duration": 123,
"durationMs": 123,
"durationSeconds": 123,
"status": "<string>",
"summary": "<string>",
"shortSummary": "<string>",
"transcript": "<string>",
"billing": {
"durationMinutes": 123,
"costCents": 123,
"costDollars": 123,
"pricePerMinuteCents": 123,
"currency": "<string>",
"billedAt": "2023-11-07T05:31:56Z",
"note": "<string>"
}
}{
"error": {
"message": "systemPrompt is required",
"code": "API_ERROR",
"upstreamStatus": 123,
"upstream": "<unknown>"
}
}Call Logs
Get call details
Retrieve details of a specific call
GET
/
calls
/
{id}
Get call details
curl --request GET \
--url https://api.omnia-voice.com/api/v1/calls/{id} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/calls/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"duration": 123,
"durationMs": 123,
"durationSeconds": 123,
"status": "<string>",
"summary": "<string>",
"shortSummary": "<string>",
"transcript": "<string>",
"billing": {
"durationMinutes": 123,
"costCents": 123,
"costDollars": 123,
"pricePerMinuteCents": 123,
"currency": "<string>",
"billedAt": "2023-11-07T05:31:56Z",
"note": "<string>"
}
}{
"error": {
"message": "systemPrompt is required",
"code": "API_ERROR",
"upstreamStatus": 123,
"upstream": "<unknown>"
}
}Authorizations
API key for authentication
Path Parameters
Call ID
Response
Successful response
Call ID
Duration in seconds (legacy)
Duration in milliseconds
Duration in seconds
Call end reason
Call summary
Brief summary
Call transcript
Billing information for the call
Show child attributes
Show child attributes